-- Tool Export Plugin

function OnShowOptions(event)
    event:GetTextCtrl():AppendText("SheetCam Tool Export Plugin \n")
end

evtHdlr = wx.wxEvtHandler()

function OnStart()
print("Export Tools")

local file = io.open("C:/Mach3/SCtooltable.exp", "w")
i=0

----LOOP until Data == NIL-------------------------------------------------
 
 repeat  --- repeat until tool = nil
 
parts=sc.Parts.Get()
tools=parts.tools
tool=tools:op_index(i) --the tool at this point is a ToolBase which is not very useful.
if tool== nil then   --this tool doesn't exist
file:close()
print("JOB Tool Exporting Complete") -- End of Function
return
end

---------Get Data ------------------

tool=tool:DynamicCast(tool:GetClassInfo():GetClassName()) --Convert it to it's actual class type
Tn =(tool.number:op_get())
Tdiam = (.03937 * (tool.diameter:op_get())) --this will fail if the tool isn't based on RoundTool
Tdiam = string.format("%.3f", Tdiam)
Tname = (tool.name:op_get())

------------ Write EXP File---------------------------

ToolData = (Tn.." , "..Tdiam.." , "..Tname)
file:write(ToolData,"\n")
wx.wxMilliSleep(200)
i=(i+1)

until not tool    ---END DATA LOOP -------------


--------------- End Write EXP File------------------------

print("Tool Table Export Complete") -- End of Function

end

OnStart()

-------------------------------------------------------------------



-------------------------------------------------------------------
function main()

   --add a menu to the main application
   local app = sc.scApp();
   local bitmapPath = sc.GetMyPath()

   app:SetMenuPath("/&Plugins")
   ID_START = app:AddMenu(evtHdlr,"Plugins","Tool Export",_("Export Import "),bitmapPath.."",sc.ITEM_NORMAL)
   app:UpdateBars() --regenerate toolbars
   evtHdlr:Connect(ID_START, sc.wxEVT_ACTION, OnStart)
   cfg = wx.wxConfigBase.Get(false)
end



main()
